Skip to content
Developer docs
⌘ K
Dashboard ↗

HTTP endpoints

listWebhooks

GET /api/v1/webhooks

Requires read or settings:write. Keep the Bearer key on your server.

HTTP

Use your backend's HTTP client. The cURL request shows the wire format. Replace path parameters and example values.

sh
curl --fail-with-body --request GET \
  'https://app.grizzlee.ca/api/v1/webhooks' \
  -H "Authorization: Bearer $GRIZZLEE_SERVER_KEY"

Response

HTTP responses wrap this value in data. The SDK returns the value directly unless the note above describes a wrapper.

Type: array.

Response schema

json
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string"
      },
      "companyId": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "url": {
        "type": "string"
      },
      "events": {
        "type": "array",
        "items": {
          "anyOf": [
            {
              "type": "string",
              "const": "order.refunded"
            },
            {
              "type": "string",
              "const": "order.adjusted"
            },
            {
              "type": "string",
              "const": "order.completed"
            },
            {
              "type": "string",
              "const": "partner.created"
            },
            {
              "type": "string",
              "const": "reward.created"
            },
            {
              "type": "string",
              "const": "reward.approved"
            },
            {
              "type": "string",
              "const": "reward.reversed"
            },
            {
              "type": "string",
              "const": "reward.restored"
            },
            {
              "type": "string",
              "const": "reward.adjusted"
            },
            {
              "type": "string",
              "const": "reward.delivered"
            },
            {
              "type": "string",
              "const": "reward.delivery_failed"
            },
            {
              "type": "string",
              "const": "reward.debt_recorded"
            },
            {
              "type": "string",
              "const": "reward.debt_settled"
            },
            {
              "type": "string",
              "const": "payout.created"
            },
            {
              "type": "string",
              "const": "payout.paid"
            },
            {
              "type": "string",
              "const": "payout.reversed"
            },
            {
              "type": "string",
              "const": "payout.failed"
            },
            {
              "type": "string",
              "const": "payout.needs_action"
            },
            {
              "type": "string",
              "const": "payout.cancelled"
            },
            {
              "type": "string",
              "const": "payout.account_required"
            },
            {
              "type": "string",
              "const": "credit.redeemed"
            },
            {
              "type": "string",
              "const": "credit.restored"
            },
            {
              "type": "string",
              "const": "incentive.flagged"
            },
            {
              "type": "string",
              "const": "self_referral.detected"
            },
            {
              "type": "string",
              "const": "fraud.flagged"
            },
            {
              "type": "string",
              "const": "referral.displaced"
            },
            {
              "type": "string",
              "const": "milestone.reported"
            },
            {
              "type": "string",
              "const": "milestone.revoked"
            },
            {
              "type": "string",
              "const": "milestone.reinstated"
            },
            {
              "type": "string",
              "const": "milestone.reversed"
            },
            {
              "type": "string",
              "const": "partner.erased"
            },
            {
              "type": "string",
              "const": "customer.erased"
            }
          ]
        }
      },
      "active": {
        "type": "boolean"
      },
      "createdAt": {
        "type": "string"
      }
    },
    "required": [
      "id",
      "companyId",
      "name",
      "url",
      "events",
      "active",
      "createdAt"
    ]
  }
}

Errors

Failures return { "error": { "code": "...", "message": "...", "details": {} } }. Details are optional. See error statuses. Reuse an unchanged event payload when retrying.